Subject: Re: CCL:CC software/Linux/Motif?

From: Dongchul Lim <[email-masked]>
Date: Wed, 20 Nov 96 22:35:22 EST

Kenneth Geisshirt writes:
> 
> Hello.
> 
> On Wed, 20 Nov 1996, Gustavo A. Mercier Jr wrote:
>  
> > I need to find out in what ways to extend (or replace) XFree86
> > to support the widest range of CC applications, at a reasonable
> > added cost. For example, 3rd party Xserver software vendors that
> > include Motif and OpenGl, etc.
> 
> Well, you can buy Motif and OpenGL. I would guess that both of them cost
> about $200 each but I might be wrong. Motif has been ported to Linux/Xfree
> by Metrolink and there are at least two companies offering OpenGL. Check
> e.g. www.li.org or www.linux.org - they might have links to those
> companies.
> 
> OpenGL is - as far as I understand - VERY slow. The implementations on
> Linux/Xfree are basically just emulators, i.e. they run on top of X11.

A free OpenGL emulator for X called 'Mesa' is available.
(http://www.ssec.wisc.edu/~brianp/Mesa.html)
Most programs written using OpenGL can be linked with
the Mesa library alternatively.
They'll be slow because there's no graphics accelerator.

> 
> Someone is working on a freeware implementation of Motif, but since I have
> strong feelings against Motif (looks too much like M$-Windows to me), I
> don't know the status of that project.

Information on Lesstif, a free implementation of Motif, is available from
http://www.hungry.com. It's under development. Actually, the only program
that runs with Lesstif without problem is their game program, 'Phaser'.
You'd have to purchase Motif to use Motif-based applications...